#ifndef _tool_db_h_
#define _tool_db_h_

#include <memory>
#include<chrono>
struct card_location_base;
namespace db_tool
{
    void PushAsync(const char* sql);
    void save_attendance(const std::shared_ptr<card_location_base>& card_ptr);
    void save_attendance(const std::shared_ptr<card_location_base>& card_ptr,
                         bool is_attendance, std::chrono::system_clock::time_point& attendance_start_time);
}

#endif


